Get the events of a migration job

GET /jobs/{jobId}/logs

Get the events of a migration job

Path parameters

  • jobId string Required

    Job ID

    Format should match the following pattern: ^[A-Za-z0-9\-]+$.

Query parameters

  • limit integer

    Limit the number of events

    Minimum value is 0. Default value is 1000.

  • offset integer

    the number of events since the most recent event

    Minimum value is 0. Default value is 0.

  • eventType string

    filter by a specific job event type

    Values are ERROR, WARNING, or INFO.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • eventType string Required

      Values are ERROR, WARNING, or INFO.

    • message string Required
    • details string
    • timestamp string(date-time) Required
    • stackTrace array[string]
    • locationType string

      Values are TABLE or COLLECTION.

    • locationName string
    • fieldName string
    • key object
      Hide key attribute Show key attribute object
      • * string Additional properties
    • errorType string
  • 400 application/json

    Bad request

    Hide response attributes Show response attributes object
    • errorType string Required

      An error category identifying what kind of error occurred.

    • message string Required

      A human-readable explanation of what went wrong.

    • timestamp string(date-time) Required

      The date and time the error occurred.

    • issues array[object]

      The individual problems that make up this error.

      At least 1 element.

      Hide issues attributes Show issues attributes object
      • type string Required

        An error category identifying what kind of issue occurred (SNAKE_CASE).

      • message string Required

        A human-readable explanation of what went wrong.

      • pointer string

        JSON Pointer (RFC 6901) to the offending node.

  • 404 application/json

    Not found

    Hide response attributes Show response attributes object
    • errorType string Required

      An error category identifying what kind of error occurred.

    • message string Required

      A human-readable explanation of what went wrong.

    • timestamp string(date-time) Required

      The date and time the error occurred.

    • issues array[object]

      The individual problems that make up this error.

      At least 1 element.

      Hide issues attributes Show issues attributes object
      • type string Required

        An error category identifying what kind of issue occurred (SNAKE_CASE).

      • message string Required

        A human-readable explanation of what went wrong.

      • pointer string

        JSON Pointer (RFC 6901) to the offending node.

  • 500 application/json

    Internal Server Error

    Hide response attributes Show response attributes object
    • errorType string Required

      An error category identifying what kind of error occurred.

    • message string Required

      A human-readable explanation of what went wrong.

    • timestamp string(date-time) Required

      The date and time the error occurred.

    • issues array[object]

      The individual problems that make up this error.

      At least 1 element.

      Hide issues attributes Show issues attributes object
      • type string Required

        An error category identifying what kind of issue occurred (SNAKE_CASE).

      • message string Required

        A human-readable explanation of what went wrong.

      • pointer string

        JSON Pointer (RFC 6901) to the offending node.

GET /jobs/{jobId}/logs
curl \
 --request GET 'http://127.0.0.1:8278/api/v1/jobs/{jobId}/logs'
Response examples (200)
[
  {
    "eventType": "ERROR",
    "message": "string",
    "details": "string",
    "timestamp": "2026-05-04T09:42:00Z",
    "stackTrace": [
      "string"
    ],
    "locationType": "TABLE",
    "locationName": "string",
    "fieldName": "string",
    "key": {
      "additionalProperty1": "string",
      "additionalProperty2": "string"
    },
    "errorType": "DuplicateKeyError"
  }
]
Response examples (400)
{
  "errorType": "VALIDATION_ERROR",
  "message": "string",
  "timestamp": "2026-05-04T09:42:00Z",
  "issues": [
    {
      "type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
      "message": "string",
      "pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
    }
  ]
}
Response examples (404)
{
  "errorType": "VALIDATION_ERROR",
  "message": "string",
  "timestamp": "2026-05-04T09:42:00Z",
  "issues": [
    {
      "type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
      "message": "string",
      "pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
    }
  ]
}
Response examples (500)
{
  "errorType": "VALIDATION_ERROR",
  "message": "string",
  "timestamp": "2026-05-04T09:42:00Z",
  "issues": [
    {
      "type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
      "message": "string",
      "pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
    }
  ]
}